Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class HtmlWriter

    java.lang.Object
      ix.iface.util.HtmlWriter

Direct Known Subclasses:
  HtmlStringWriter

    public class HtmlWriter

extends java.lang.Object

Simple support for HTML and similarly marked-up output.

Field Summary
`protected java.util.Map` | `defaultAttributes`
`protected java.io.PrintWriter` | `out`
`protected java.util.List` | `tagStack`

Constructor Summary
`HtmlWriter(java.io.OutputStream stream)`
`HtmlWriter(java.io.Writer w)`

Method Summary
`void` | `close()`
`void` | `empty(java.lang.String tag)`
`void` | `empty(java.lang.String tag, java.lang.String attributes)`
`void` | `empty(java.lang.String tag, java.lang.String[][] attributes)`
`void` | `end(java.lang.String tag)`
`void` | `endTag(java.lang.String tag)`
`void` | `flush()`
`java.lang.String` | `getDefaultAttributes(java.lang.String tag)`
`int` | `getTagDepth()`
`java.util.List` | `getTagStack()`
`void` | `indent(int depth)`
`void` | `newLine()`
`void` | `select(java.lang.String name, java.lang.Enum[] values, java.lang.Enum selected)`
`void` | `setDefaultAttributes(java.lang.String tag, java.lang.String attributes)`
`void` | `setDefaultAttributes(java.lang.String tag, java.lang.String[][] attributes)`
`void` | `tag(java.lang.String tag)`
`void` | `tag(java.lang.String tag, java.lang.String attributes)`
`void` | `tag(java.lang.String tag, java.lang.String[][] attributes)`
`void` | `tagged(java.lang.String tag, java.lang.String contents)`
`void` | `tagged(java.lang.String tag, java.lang.String attributes, java.lang.String contents)`
`void` | `write(java.lang.String text)`
`void` | `writeln(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected java.io.PrintWriter out

### defaultAttributes

    protected java.util.Map defaultAttributes

### tagStack

    protected java.util.List tagStack

Constructor Detail

### HtmlWriter

    public HtmlWriter(java.io.Writer w)

### HtmlWriter

    public HtmlWriter(java.io.OutputStream stream)

Method Detail

### getDefaultAttributes

    public java.lang.String getDefaultAttributes(java.lang.String tag)

### setDefaultAttributes

    public void setDefaultAttributes(java.lang.String tag,
                                     java.lang.String attributes)

### setDefaultAttributes

    public void setDefaultAttributes(java.lang.String tag,
                                     java.lang.String[][] attributes)

### flush

    public void flush()

### close

    public void close()

### newLine

    public void newLine()

### write

    public void write(java.lang.String text)

### writeln

    public void writeln(java.lang.String text)

### getTagStack

    public java.util.List getTagStack()

### getTagDepth

    public int getTagDepth()

### indent

    public void indent(int depth)

### tagged

    public void tagged(java.lang.String tag,
                       java.lang.String contents)

### tagged

    public void tagged(java.lang.String tag,
                       java.lang.String attributes,
                       java.lang.String contents)

### tag

    public void tag(java.lang.String tag)

### tag

    public void tag(java.lang.String tag,
                    java.lang.String attributes)

### tag

    public void tag(java.lang.String tag,
                    java.lang.String[][] attributes)

### endTag

    public void endTag(java.lang.String tag)

### end

    public void end(java.lang.String tag)

### empty

    public void empty(java.lang.String tag)

### empty

    public void empty(java.lang.String tag,
                      java.lang.String attributes)

### empty

    public void empty(java.lang.String tag,
                      java.lang.String[][] attributes)

### select

    public void select(java.lang.String name,
                       java.lang.Enum[] values,
                       java.lang.Enum selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD